#### MBRATR

#### Synopsis

    HELP:   Define the member attributes [DEFAULT]
    TYPE:   OBJECT
    SYNTAX: MBRATR/MEMATR(ORIGINAL,RUSR,WUSR,XUSR,RGRP,WGRP,XGRP,ROTH,WOTH,XOTH,ARCHIVE,HIDDEN,READONLY,SYSTEM)

#### Description

The attribute object can be used to set file access permissions or file flags on Windows and Linux.

Linux: read/write/execute permission for user/group/other

Windows: archive, hidden, read only and system flags.

It is also possible to add additional permissions to original permission:

       ... ATTRIB(ORIGINAL XUSR XGRP XOTH) ...

This adds execute permissions for everyone on Linux.

#### Arguments

- `SWITCH: ORIGINAL - Preserve attributes of input file / archive member`
- `SWITCH: RUSR - Unix readable by owner`
- `SWITCH: WUSR - Unix writable by owner`
- `SWITCH: XUSR - Unix executable by owner`
- `SWITCH: RGRP - Unix readable by group`
- `SWITCH: WGRP - Unix writable by group`
- `SWITCH: XGRP - Unix executable by group`
- `SWITCH: ROTH - Unix readable by others`
- `SWITCH: WOTH - Unix writable by others`
- `SWITCH: XOTH - Unix executable by others`
- `SWITCH: ARCHIVE - Windows archive flag`
- `SWITCH: HIDDEN - Windows hidden flag`
- `SWITCH: READONLY - Windows read only flag`
- `SWITCH: SYSTEM - Windows system flag`